io.etcd.jetcd.api

## Class StatusResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<StatusResponse.Builder>
      - - io.etcd.jetcd.api.StatusResponse.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StatusResponseOrBuilder, Cloneable

Enclosing class:
  StatusResponse

    public static final class StatusResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<StatusResponse.Builder>
    implements StatusResponseOrBuilder

Protobuf type `etcdserverpb.StatusResponse`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`StatusResponse.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`StatusResponse` `build()`
`StatusResponse` `buildPartial()`
`StatusResponse.Builder` `clear()`
`StatusResponse.Builder` `clearDbSize()` dbSize is the size of the backend database, in bytes, of the responding member.
`StatusResponse.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`StatusResponse.Builder` `clearHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`StatusResponse.Builder` `clearLeader()` leader is the member ID which the responding member believes is the current leader.
`StatusResponse.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`StatusResponse.Builder` `clearRaftIndex()` raftIndex is the current raft index of the responding member.
`StatusResponse.Builder` `clearRaftTerm()` raftTerm is the current raft term of the responding member.
`StatusResponse.Builder` `clearVersion()` version is the cluster protocol version used by the responding member.
`StatusResponse.Builder` `clone()`
`long` `getDbSize()` dbSize is the size of the backend database, in bytes, of the responding member.
`StatusResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeader.Builder` `getHeaderBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`long` `getLeader()` leader is the member ID which the responding member believes is the current leader.
`long` `getRaftIndex()` raftIndex is the current raft index of the responding member.
`long` `getRaftTerm()` raftTerm is the current raft term of the responding member.
`String` `getVersion()` version is the cluster protocol version used by the responding member.
`com.google.protobuf.ByteString` `getVersionBytes()` version is the cluster protocol version used by the responding member.
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`StatusResponse.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`StatusResponse.Builder` `mergeFrom(com.google.protobuf.Message other)`
`StatusResponse.Builder` `mergeFrom(StatusResponse other)`
`StatusResponse.Builder` `mergeHeader(ResponseHeader value)` `.etcdserverpb.ResponseHeader header = 1;`
`StatusResponse.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`StatusResponse.Builder` `setDbSize(long value)` dbSize is the size of the backend database, in bytes, of the responding member.
`StatusResponse.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`StatusResponse.Builder` `setHeader(ResponseHeader.Builder builderForValue)` `.etcdserverpb.ResponseHeader header = 1;`
`StatusResponse.Builder` `setHeader(ResponseHeader value)` `.etcdserverpb.ResponseHeader header = 1;`
`StatusResponse.Builder` `setLeader(long value)` leader is the member ID which the responding member believes is the current leader.
`StatusResponse.Builder` `setRaftIndex(long value)` raftIndex is the current raft index of the responding member.
`StatusResponse.Builder` `setRaftTerm(long value)` raftTerm is the current raft term of the responding member.
`StatusResponse.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`StatusResponse.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`StatusResponse.Builder` `setVersion(String value)` version is the cluster protocol version used by the responding member.
`StatusResponse.Builder` `setVersionBytes(com.google.protobuf.ByteString value)` version is the cluster protocol version used by the responding member.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<StatusResponse.Builder>`

#### clear

    public StatusResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<StatusResponse.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<StatusResponse.Builder>`

#### getDefaultInstanceForType

    public StatusResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public StatusResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public StatusResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public StatusResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<StatusResponse.Builder>`

#### setField

    public StatusResponse.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                           Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<StatusResponse.Builder>`

#### clearField

    public StatusResponse.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<StatusResponse.Builder>`

#### clearOneof

    public StatusResponse.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<StatusResponse.Builder>`

#### setRepeatedField

    public StatusResponse.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                   int index,
                                                   Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<StatusResponse.Builder>`

#### addRepeatedField

    public StatusResponse.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                   Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<StatusResponse.Builder>`

#### mergeFrom

    public StatusResponse.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StatusResponse.Builder>`

#### mergeFrom

    public StatusResponse.Builder mergeFrom(StatusResponse other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<StatusResponse.Builder>`

#### mergeFrom

    public StatusResponse.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                     throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StatusResponse.Builder>`
Throws:
  `IOException`

#### hasHeader

    public boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `hasHeader` in interface `StatusResponseOrBuilder`
Returns:
  Whether the header field is set.

#### getHeader

    public ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeader` in interface `StatusResponseOrBuilder`
Returns:
  The header.

#### setHeader

    public StatusResponse.Builder setHeader(ResponseHeader value)

`.etcdserverpb.ResponseHeader header = 1;`

#### setHeader

    public StatusResponse.Builder setHeader(ResponseHeader.Builder builderForValue)

`.etcdserverpb.ResponseHeader header = 1;`

#### mergeHeader

    public StatusResponse.Builder mergeHeader(ResponseHeader value)

`.etcdserverpb.ResponseHeader header = 1;`

#### clearHeader

    public StatusResponse.Builder clearHeader()

`.etcdserverpb.ResponseHeader header = 1;`

#### getHeaderBuilder

    public ResponseHeader.Builder getHeaderBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

#### getHeaderOrBuilder

    public ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeaderOrBuilder` in interface `StatusResponseOrBuilder`

#### getVersion

    public String getVersion()

     version is the cluster protocol version used by the responding member.

`string version = 2;`

Specified by:
  `getVersion` in interface `StatusResponseOrBuilder`
Returns:
  The version.

#### getVersionBytes

    public com.google.protobuf.ByteString getVersionBytes()

     version is the cluster protocol version used by the responding member.

`string version = 2;`

Specified by:
  `getVersionBytes` in interface `StatusResponseOrBuilder`
Returns:
  The bytes for version.

#### setVersion

    public StatusResponse.Builder setVersion(String value)

     version is the cluster protocol version used by the responding member.

`string version = 2;`

Parameters:
  `value` - The version to set.
Returns:
  This builder for chaining.

#### clearVersion

    public StatusResponse.Builder clearVersion()

     version is the cluster protocol version used by the responding member.

`string version = 2;`

Returns:
  This builder for chaining.

#### setVersionBytes

    public StatusResponse.Builder setVersionBytes(com.google.protobuf.ByteString value)

     version is the cluster protocol version used by the responding member.

`string version = 2;`

Parameters:
  `value` - The bytes for version to set.
Returns:
  This builder for chaining.

#### getDbSize

    public long getDbSize()

     dbSize is the size of the backend database, in bytes, of the responding member.

`int64 dbSize = 3;`

Specified by:
  `getDbSize` in interface `StatusResponseOrBuilder`
Returns:
  The dbSize.

#### setDbSize

    public StatusResponse.Builder setDbSize(long value)

     dbSize is the size of the backend database, in bytes, of the responding member.

`int64 dbSize = 3;`

Parameters:
  `value` - The dbSize to set.
Returns:
  This builder for chaining.

#### clearDbSize

    public StatusResponse.Builder clearDbSize()

     dbSize is the size of the backend database, in bytes, of the responding member.

`int64 dbSize = 3;`

Returns:
  This builder for chaining.

#### getLeader

    public long getLeader()

     leader is the member ID which the responding member believes is the current leader.

`uint64 leader = 4;`

Specified by:
  `getLeader` in interface `StatusResponseOrBuilder`
Returns:
  The leader.

#### setLeader

    public StatusResponse.Builder setLeader(long value)

     leader is the member ID which the responding member believes is the current leader.

`uint64 leader = 4;`

Parameters:
  `value` - The leader to set.
Returns:
  This builder for chaining.

#### clearLeader

    public StatusResponse.Builder clearLeader()

     leader is the member ID which the responding member believes is the current leader.

`uint64 leader = 4;`

Returns:
  This builder for chaining.

#### getRaftIndex

    public long getRaftIndex()

     raftIndex is the current raft index of the responding member.

`uint64 raftIndex = 5;`

Specified by:
  `getRaftIndex` in interface `StatusResponseOrBuilder`
Returns:
  The raftIndex.

#### setRaftIndex

    public StatusResponse.Builder setRaftIndex(long value)

     raftIndex is the current raft index of the responding member.

`uint64 raftIndex = 5;`

Parameters:
  `value` - The raftIndex to set.
Returns:
  This builder for chaining.

#### clearRaftIndex

    public StatusResponse.Builder clearRaftIndex()

     raftIndex is the current raft index of the responding member.

`uint64 raftIndex = 5;`

Returns:
  This builder for chaining.

#### getRaftTerm

    public long getRaftTerm()

     raftTerm is the current raft term of the responding member.

`uint64 raftTerm = 6;`

Specified by:
  `getRaftTerm` in interface `StatusResponseOrBuilder`
Returns:
  The raftTerm.

#### setRaftTerm

    public StatusResponse.Builder setRaftTerm(long value)

     raftTerm is the current raft term of the responding member.

`uint64 raftTerm = 6;`

Parameters:
  `value` - The raftTerm to set.
Returns:
  This builder for chaining.

#### clearRaftTerm

    public StatusResponse.Builder clearRaftTerm()

     raftTerm is the current raft term of the responding member.

`uint64 raftTerm = 6;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final StatusResponse.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<StatusResponse.Builder>`

#### mergeUnknownFields

    public final StatusResponse.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<StatusResponse.Builder>`